STRUCT TEMPLATE IM(3)

NAME
boost::proto::_::impl

SYNOPSIS

// In header: <boost/proto/matches.hpp>
template<typename Expr, typename State, typename Data>
struct impl :  proto::transform_impl<Expr, State, Data> {
  // types
  typedef Expr result_type;
  // public member functions
  Expr operator()(typename impl::expr_param, typename impl::state_param,
                  typename impl::data_param) const;
};

DESCRIPTION

  impl public member functions

    1.

    Expr operator()(typename impl::expr_param expr, typename impl::state_param,
                    typename impl::data_param) const;

    Parameters:

        expr
            An expression

    Returns:
        expr